List workspace extractions
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"workspace": {
"id": "<string>",
"creation_origin": "<string>",
"name": "<string>",
"description": "<string>",
"status": "open",
"revision": 0,
"item_count": 0,
"shape": {
"shape_id": "<string>",
"artifact_digest": "<string>"
},
"bindings": [
{
"shape_id": "<string>",
"artifact_digest": "<string>"
}
],
"bridge_set": {
"digest": "<string>",
"declaration_count": 0
},
"created_at": "<string>",
"updated_at": "<string>",
"applied_at": "<string>",
"replaced_by": "<string>"
},
"schema": "penumbra.graph-extraction-status",
"version": 1,
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 123,
"staging": "all_accepted",
"source_count": 123,
"status": "queued",
"execution_state": "<string>",
"adoption_state": "<string>",
"adopted_revision": 4503599627370495,
"staged_item_count": 4503599627370495,
"accepted_count": 4503599627370495,
"needs_evidence_count": 4503599627370495,
"rejected_count": 4503599627370495,
"repair_count": 4503599627370495,
"over_limit_count": 4503599627370495,
"error_code": "<string>",
"progress": {
"cursor": 4503599627370495,
"step": "draft",
"parts": {
"done": 4503599627370495,
"total": 4503599627370495
},
"live": {
"entities": 4503599627370495,
"relationships": 4503599627370495
},
"by_type": [
{
"kind": "entity",
"type_id": "<string>",
"type_name": "<string>",
"live": 123
}
],
"not_accepted": {
"needs_evidence": 4503599627370495,
"rejected": 4503599627370495
},
"stop_requested": true
},
"stopped_early": true,
"review_not_run": true,
"incomplete": {
"parts_delivered": 4503599627370495,
"parts_total": 123,
"reconciled": true,
"failure_code": "<string>",
"files_not_fully_read": [
{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partly_read": true
}
]
},
"created_at": "<string>",
"completed_at": "<string>",
"level": "fast",
"queue": {
"position": 123,
"active_limit": 123
},
"outcome": "succeeded",
"reason": "<string>"
}
}Review workspaces
List workspace extractions
Read a workspace’s extraction runs and their findings.
List workspace extractions
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"workspace": {
"id": "<string>",
"creation_origin": "<string>",
"name": "<string>",
"description": "<string>",
"status": "open",
"revision": 0,
"item_count": 0,
"shape": {
"shape_id": "<string>",
"artifact_digest": "<string>"
},
"bindings": [
{
"shape_id": "<string>",
"artifact_digest": "<string>"
}
],
"bridge_set": {
"digest": "<string>",
"declaration_count": 0
},
"created_at": "<string>",
"updated_at": "<string>",
"applied_at": "<string>",
"replaced_by": "<string>"
},
"schema": "penumbra.graph-extraction-status",
"version": 1,
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 123,
"staging": "all_accepted",
"source_count": 123,
"status": "queued",
"execution_state": "<string>",
"adoption_state": "<string>",
"adopted_revision": 4503599627370495,
"staged_item_count": 4503599627370495,
"accepted_count": 4503599627370495,
"needs_evidence_count": 4503599627370495,
"rejected_count": 4503599627370495,
"repair_count": 4503599627370495,
"over_limit_count": 4503599627370495,
"error_code": "<string>",
"progress": {
"cursor": 4503599627370495,
"step": "draft",
"parts": {
"done": 4503599627370495,
"total": 4503599627370495
},
"live": {
"entities": 4503599627370495,
"relationships": 4503599627370495
},
"by_type": [
{
"kind": "entity",
"type_id": "<string>",
"type_name": "<string>",
"live": 123
}
],
"not_accepted": {
"needs_evidence": 4503599627370495,
"rejected": 4503599627370495
},
"stop_requested": true
},
"stopped_early": true,
"review_not_run": true,
"incomplete": {
"parts_delivered": 4503599627370495,
"parts_total": 123,
"reconciled": true,
"failure_code": "<string>",
"files_not_fully_read": [
{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partly_read": true
}
]
},
"created_at": "<string>",
"completed_at": "<string>",
"level": "fast",
"queue": {
"position": 123,
"active_limit": 123
},
"outcome": "succeeded",
"reason": "<string>"
}
}Operation ID:
http.graph.workspaces.extractions
GET /v1/orgs/{org}/projects/{project}/graph/workspaces/{ws}/extractions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
review or findings to read one run; omit for the status of the runs.
The extraction run.
For findings: continue after this position.
For findings: how many, 1 to 500.
Response
2XX - application/json
Success.
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes